#ifndef MAINPAGE_RXY_H
#define MAINPAGE_RXY_H

#include <QWidget>
#include <QPushButton>
#include <QLabel>
#include <QFile>
#include <QTextStream>
#include <QFileInfo>
#include <QTimer>
#include <QEventLoop>
#include <QMouseEvent>
#include <QDebug>
class mainpage_Rxy : public QWidget
{
    Q_OBJECT
public:
    explicit mainpage_Rxy(QWidget *parent = nullptr);

private:
    QPushButton *button9_1;//热像仪1查看
    QLabel *label_9_1;
    QPushButton *button9_2;//热像仪2查看
    QLabel *label_9_2;
    QLabel *label_disconnect_rxy1;//热像仪1未启用
    QLabel *label_disconnect_rxy2;//热像仪2未启用
    QLabel *rxy_show_picture;//热像仪报警图片
    QLabel *rxy_show_picture1;//热像仪报警图片
    QLabel *label_9_3;//热像仪准备就绪提示

    bool eventFilter(QObject *watch, QEvent *evn);  //触摸事件监听函数
signals:
    void sigDispRxyAlarm(bool,bool);
    void sigPageEightSend();
private slots:
    void button9_1_clicked();//热像仪按钮槽函数
    void button9_2_clicked();//热像仪按钮槽函数
    void onPageEightDataUpdate();
    void onRxyLabelSet();
    void onRxyButtonShow();

};

#endif // MAINPAGE_RXY_H
